<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Companies Client</title>
    <link rel="stylesheet" href="assets/popup.css">
    <link rel="stylesheet" href="assets/app.css">
</head>

<body>
    <div id="headerBar">
        <span></span> | <a href="#" onclick="doLogout()">logout</a>
    </div>
    <div id="wrapper">
        <h1>Lahedad ettevõtted</h1>
        <input type="text" id="searchText" placeholder="Otsi..." onkeyup="filterCompanies()">
        <br><br>
        <main>Companies list here</main>
        <footer>
            <button onclick="displayCompanyEditPopup()">Lisa uus ettevõte</button>
        </footer>
    </div>

    <template id="companyEditTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <h2>Lisa/muuda ettevõtet</h2>
            <br>

            <div id="errorBox" style="display: none;">
            </div>

            <br>

            <input type="hidden" id="companyId">

            Nimi:<br>
            <input type="text" id="companyName"><br><br>

            Logo URL:<br>
            <input type="text" id="companyLogo"><br><br>

            Logo file: <br>
            <input type="file" id="companyFile"><br><br>

            Asutamisaeg:<br>
            <input type="date" id="companyEstablished"><br><br>

            Töötajate arv:<br>
            <input type="number" id="companyEmployees"><br><br>

            <button onclick="editCompany()">Salvesta</button>
        </div>
    </template>

    <template id="loginTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <h2>Sisselogimine</h2>
            Kasutajanimi: <br>
            <input type="text" id="loginUsername"><br><br>
            Parool: <br>
            <input type="password" id="loginPassword"><br><br>
            <button onclick="doLogin()">Logi sisse</button>
        </div>
    </template>

    <template id="announcementEditTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <input type="hidden" id="announcementCompanyId">
            <input type="hidden" id="announcementId">
            <h2>Lisa/muuda uudis</h2>
            <br>
            Pealkiri:<br>
            <input type="text" id="announcementTitle"><br><br>

            Sisu:<br>
            <textarea id="announcementBody" cols="30" rows="10"></textarea>
            <br><br>
            <button onclick="editAnnouncement()">Salvesta</button>
        </div>
    </template>

    <script src="assets/config.js"></script>
    <script src="assets/fetchApi.js"></script>
    <script src="assets/popup.js"></script>
    <script src="assets/app.js"></script>
</body>

</html>